KinoSearch1::Document::Doc(3pm)

NAME
KinoSearch1::Document::Doc - a document

SYNOPSIS
    my $doc = $invindexer->new_doc;
    $doc->set_value( title    => $title );
    $doc->set_value( bodytext => $bodytext );
    $invindexer->add($doc);

DESCRIPTION
A Doc object is akin to a row in a database, in that it is made up of several fields, each of which has a value.

Doc objects are only created via factory methods of other classes.

METHODS

  set_value get_value
    $doc->set_value( title => $title_text );
    my $text = $doc->get_value( 'title' );

"set_value" and "get_value" are used to modify and access the values of the fields within a Doc object.

  set_boost get_boost
    $doc->set_boost(2.5);

"boost" is a scoring multiplier. Setting boost to something other than 1 causes a document to score better or worse against a given query relative to other documents.

COPYRIGHT
Copyright 2005-2010 Marvin Humphrey

LICENSE, DISCLAIMER, BUGS, etc.
See KinoSearch1 version 1.01.